/* ----------------------------------------------------------------------
 * milo/cachectl.h
 *
 * Copyright (C) 1994 by Waldorf Electronics,
 * written by Ralf Baechle
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License. See the file COPYING in the main directory of this archive for more
 * details.
 * ---------------------------------------------------------------------- */

#ifndef _CACHE_H
#define _CACHE_H

extern cacheflush(void *addr, int nbytes, int cache);

/*
 * Caches to flush
 */
#define ICACHE          0x1             /* flush instruction cache */
#define DCACHE          0x2             /* flush data cache        */
#define BCACHE          (ICACHE|DCACHE) /* flush both caches       */

/*
 * Caching modes
 */
#define CACHEABLE       0               /* mark cacheable          */
#define UNCACHEABLE     1               /* mark noncacheable       */

#endif /* _CACHE_H */
